# build an interface for linking fortran to python using numpy.f2py

fibprog: fibprog.f fib1.f
	$(FC) -o fibprog fibprog.f fib1.f

libfib1: fib1.f
	python -m numpy.f2py -c -m libfib1 fib1.f

fib1pyf: fib1.f
	python -m numpy.f2py -m libfib2 -h fib1.pyf fib1.f

libfib2: fib2.pyf fib1.f
	python -m numpy.f2py -c fib2.pyf fib1.f

libfib3: fib3.f
	python -m numpy.f2py -c -m libfib3 fib3.f

libfib4: fib4.f90
	python -m numpy.f2py -c -m libfib4 fib4.f90

clean:
	rm -f *.o *.so *.pyf fibprog
